## org.biojava.bridge.Biocorba.Seqcore
Class SequenceIteratorAdapter

    java.lang.Object
      |
      +--org.biojava.bridge.Biocorba.Seqcore.SequenceIteratorAdapter

public class SequenceIteratorAdapter
extends java.lang.Object
implements SequenceIterator

Constructor Summary
`SequenceIteratorAdapter(PrimarySeqIterator primarySeqIterator)`

Method Summary
`PrimarySeqIterator` `getPrimarySeqIterator()`
`boolean` `hasNext()` Returns whether there are more sequences to iterate over.
`Sequence` `nextSequence()` Returns the next sequence in the iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceIteratorAdapter

    public SequenceIteratorAdapter(PrimarySeqIterator primarySeqIterator)

Method Detail

### getPrimarySeqIterator

    public PrimarySeqIterator getPrimarySeqIterator()

### hasNext

    public boolean hasNext()

  Description copied from interface: SequenceIterator
  Returns whether there are more sequences to iterate over.
  Specified by:
    hasNext in interface SequenceIterator
  Tags copied from interface: SequenceIterator
  Returns:
    true if there are more sequences to get and false otherwise

### nextSequence

    public Sequence nextSequence()
                          throws java.util.NoSuchElementException,
                                 BioException

  Description copied from interface: SequenceIterator
  Returns the next sequence in the iterator.
  Specified by:
    nextSequence in interface SequenceIterator
  Tags copied from interface: SequenceIterator
  Returns:
    the next Sequence
  Throws:
    java.util.NoSuchElementException - if you call nextSequence when hasNext returns false
    BioException - if for any reason the sequence could not be retrieved